/**
 *    '$RCSfile: MetacatRepository.java,v $'
 *
 *     '$Author: berkley $'
 *       '$Date: 2006/03/01 23:41:54 $'
 *   '$Revision: 1.2 $'
 *
 *  For Details: http://kepler.ecoinformatics.org
 *
 * Copyright (c) 2003 The Regents of the University of California.
 * All rights reserved.
 *
 * Permission is hereby granted, without written agreement and without
 * license or royalty fees, to use, copy, modify, and distribute this
 * software and its documentation for any purpose, provided that the
 * above copyright notice and the following two paragraphs appear in
 * all copies of this software.
 *
 * IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY
 * FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
 * ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN
 * IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF THE POSSIBILITY
 * OF SUCH DAMAGE.
 *
 * THE UNIVERSITY OF CALIFORNIA SPECIFICALLY DISCLAIMS ANY WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE
 * PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY
 * OF CALIFORNIA HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 * UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 */
package org.kepler.objectmanager.repository;

import java.io.*;
import java.util.*;

import org.kepler.objectmanager.lsid.KeplerLSID;

/**
 * This class represents a metacat repository on the ecogrid
 *
 * @author Chad Berkley
 */
public class MetacatRepository extends Repository
{
  public MetacatRepository(String repository, String username, String password)
  {
    super(repository, username, password);
  }
  
  /**
   * Search the repository and return an iterator of results (the Iterator
   * contains KeplerLSIDs of matched items).
   */
  public Iterator search(String queryString)
  {
    return null;
  }
  
  /**
   * return the object from the repository that has the given lsid
   */
  public Object get(KeplerLSID lsid)
  {
    return null;
  }
  
  /**
   * put an object into the repository with the given lsid
   */
  public void put(Object o, KeplerLSID lsid)
  {
    System.out.println("putting object: " + o.toString());
    System.out.println("with lsid: " + lsid.toString());
  }
}
