x <- seq(-10, 10, length = 50)

y <- x

rotsinc <- function(x, y) {
    sinc <- function(x) {
        y <- sin(x)/x
        y[is.na(y)] <- 1
        y
    }
    10 * sinc(sqrt(x^2 + y^2))
}

sinc.exp <- expression(z == Sinc(sqrt(x^2 + y^2)))

z <- outer(x, y, rotsinc)    

jpeg(filename = "RTest.jpg", width = 480, height = 480, pointsize = 12,
     quality = 75, bg = "white")

par(bg = "white")

persp(x, y, z, theta = 30, phi = 30, expand = 0.5, col = "lightblue")

title(sub=".")## work around persp+plotmath bug
title(main = sinc.exp)